#ifndef _SHELL_H
#define _SHELL_H

#include "asf/thirdparty/freertos/freertos-7.0.0/source/include/FreeRTOS.h"
#include "asf/thirdparty/freertos/freertos-7.0.0/source/include/FreeRTOS_CLI.h"
#include <asf.h>
#include <string.h>
#include "headers/nrf24l01.h"
#include "headers/user_interrupts.h"

extern xSemaphoreHandle mutexUART;

void registerCommands();
void vCommandConsoleTask( void *pvParameters );
void rawPrint(char* s,uint16_t size);
portBASE_TYPE prvToggleLed(int8_t *pcWriteBuffer, size_t xWriteBufferLen, const int8_t *pcCommandString );
portBASE_TYPE prvConfigRF(int8_t *pcWriteBuffer, size_t xWriteBufferLen, const int8_t *pcCommandString );
portBASE_TYPE prvSendRaw(int8_t *pcWriteBuffer, size_t xWriteBufferLen, const int8_t *pcCommandString );
portBASE_TYPE prvRecRaw(int8_t *pcWriteBuffer, size_t xWriteBufferLen, const int8_t *pcCommandString );

#endif
